Bug 1889802 - Rebuild Texlive due to rebase of poppler
Summary: Rebuild Texlive due to rebase of poppler
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: texlive
Version: 8.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.4
Assignee: Than Ngo
QA Contact: Jakub Haruda
Prerana Sharma
URL:
Whiteboard:
Depends On: 1644423
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 15:29 UTC by Marek Kašík
Modified: 2021-05-18 15:54 UTC (History)
6 users (show)

Fixed In Version: texlive-20180414-20.el8
Doc Type: Bug Fix
Doc Text:
.`Texlive` now correctly works with `Poppler` Previously, the `Poppler` utility underwent an update for API changes. Consequently, due to these API changes the `Texlive` build did not function. With this update, the `Texlive` build now functions correctly with the new `Poppler` utility.
Clone Of:
Environment:
Last Closed: 2021-05-18 15:54:24 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:1883 0 None None None 2021-05-18 15:54:27 UTC

Description Marek Kašík 2020-10-20 15:29:50 UTC
Description of problem:
I plan to rebase poppler to 20.10.0 (or newer) in RHEL 8.4. Texlive has to be
rebuilt because of this.

See the bug #1644423 for additional info.

Comment 14 Rik Theys 2020-12-15 14:59:10 UTC
Hi,

When is this update expected to land in CentOS Stream? Stream is currently broken by this poppler update as it breaks texlive, inkscape,...
Should these updates not go into Stream all together instead of breaking upgrades? 

It's really strange this can happen if you read about the "always ready rhel" stuff and all the tests that packages have to go through before they land in Stream.

Regards,
Rik

Comment 15 Brian Stinson 2020-12-15 16:36:51 UTC
This was an infrastructure issue on the CentOS Stream side that we're looking into. Here's the affected build: https://koji.mbox.centos.org/koji/buildinfo?buildID=14987

We expect this to land in the next compose.

Comment 16 Rik Theys 2020-12-16 07:40:26 UTC
Hi Brian,

(In reply to Brian Stinson from comment #15)
> This was an infrastructure issue on the CentOS Stream side that we're
> looking into. Here's the affected build:
> https://koji.mbox.centos.org/koji/buildinfo?buildID=14987

Is it normal that I can't download those packages?

https://koji.mbox.centos.org/pkgs/packages/texlive/20180414/20.el8/x86_64/texlive-pdftex-20180414-20.el8.x86_64.rpm returns a 403 Forbidden

> We expect this to land in the next compose.

How often do those composes happen?

Regards,
Rik

Comment 17 Brian Stinson 2020-12-16 22:10:18 UTC
We got texlive pushed in compose CentOS-Stream-8-20201215.n.2

This is going out to the mirrors for CentOS Stream now.

Comment 24 errata-xmlrpc 2021-05-18 15:54:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (texlive bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1883


Note You need to log in before you can comment on or make changes to this bug.